projection {raster} | R Documentation

## Get or set a coordinate reference system (projection)

### Description

Get or set the coordinate reference system (CRS) of a Raster* object.

### Usage

    ## S4 method for signature 'ANY'
    crs(x, asText=FALSE, ...)

    crs(x) <- value

    projection(x, asText=TRUE)
    projection(x) <- value

### Arguments

`x` | Raster* or Spatial object
`asText` | logical. If `TRUE`, the projection is returned as text. Otherwise a `CRS` object is returned
`...` | additional arguments (not implemented)
`value` | `CRS` object or a character string describing a projection and datum in the PROJ.4 format

### Details

projections are done by with the PROJ.4 library exposed by rgdal

### Value

Raster*, Spatial*, CRS, or character object

### Note

`crs` replaces earlier function `projection`. For compatibility with `sp` you can use `proj4string` instead of `crs`.

### See Also

`projectRaster, CRS-class, spTransform-methods, projInfo`

### Examples

    r <- raster()
    crs(r)
    crs(r) <- "+proj=lcc +lat_1=48 +lat_2=33 +lon_0=-100 +ellps=WGS84"
    crs(r)

[Package raster version 2.5-2 Index]